Package net.snowflake.client.jdbc

## Interface SnowflakeResultSetMetaData

    public interface SnowflakeResultSetMetaData

### Method Summary

All Methods Instance Methods Abstract Methods
`List<FieldMetadata>` `getColumnFields​(int column)`
`int` `getColumnIndex​(String columnName)`
`List<String>` `getColumnNames()`
`int` `getDimension​(int column)` Get vector dimension
`int` `getDimension​(String columnName)` Get vector dimension
`int` `getInternalColumnType​(int column)`
`String` `getQueryID()`

### Method Detail

#### getQueryID

    String getQueryID()
               throws SQLException

Throws:
  `SQLException`

#### getColumnNames

    List<String> getColumnNames()
                         throws SQLException

Throws:
  `SQLException`

#### getColumnIndex

    int getColumnIndex​(String columnName)
                throws SQLException

Throws:
  `SQLException`

#### getInternalColumnType

    int getInternalColumnType​(int column)
                       throws SQLException

Throws:
  `SQLException`

#### getColumnFields

    List<FieldMetadata> getColumnFields​(int column)
                                 throws SQLException

Throws:
  `SQLException`

#### getDimension

    int getDimension​(int column)
              throws SQLException

Get vector dimension

Parameters:
  `column` - column index
Returns:
  vector dimension when the column is vector type or 0 when it is not vector type
Throws:
  `SQLException` - when cannot get column dimension

#### getDimension

    int getDimension​(String columnName)
              throws SQLException

Get vector dimension

Parameters:
  `columnName` - column name
Returns:
  vector dimension when the column is vector type or 0 when it is not vector type
Throws:
  `SQLException` - when cannot get column dimension